
Katello - Bug #24082

hammer content-view purge not deleting unused versions if one is in use by a published view

06/26/2018 07:57 PM - Rimma Ashkinadze

Status: Closed   

Priority: Normal   

Assignee: Christine Fouant   

Category:    

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/599

  

Description

In this content view, there are 2 versions published in environments, 5 unpublished.  One of the 5 unpublished can be removed

initially.  Then no other versions can be removed because one is in use.  Once I delete the version of the composite that is in use,

then I am able to proceed.  Shouldn't purge be able to remove the unused ones that aren't in published composites?

$ hammer content-view version list --content-view my-el7-cv --organization-id 1

------|-----------------------|---------|-------------------------

ID    | NAME                  | VERSION | LIFECYCLE ENVIRONMENTS

------|-----------------------|---------|-------------------------

15753 | my-el7-cv 2726.0 | 2726.0  | Library, Development, QA

15748 | my-el7-cv 2725.0 | 2725.0  |

15743 | my-el7-cv 2724.0 | 2724.0  |

15736 | my-el7-cv 2722.0 | 2722.0  | Staging, Production

15725 | my-el7-cv 2719.0 | 2719.0  |

15712 | my-el7-cv 2716.0 | 2716.0  |

15563 | my-el7-cv 2683.0 | 2683.0  |

------|-----------------------|---------|-------------------------

$ hammer content-view purge --id 259 --organization-id 1 --count 3

[...............................................................................................................................................................................................] [100%]

Version '2725.0' of content view 'my-el7-cv' deleted.

Cannot delete version while it is in use by composite content views: xxx-comp-cv Version 1494.0

$ hammer content-view version list --content-view my-el7-cv --organization-id 1

------|-----------------------|---------|-------------------------

ID    | NAME                  | VERSION | LIFECYCLE ENVIRONMENTS

------|-----------------------|---------|-------------------------

15753 | my-el7-cv 2726.0 | 2726.0  | Library, Development, QA

15743 | my-el7-cv 2724.0 | 2724.0  |

15736 | my-el7-cv 2722.0 | 2722.0  | Staging, Production

15725 | my-el7-cv 2719.0 | 2719.0  |

15712 | my-el7-cv 2716.0 | 2716.0  |

15563 | my-el7-cv 2683.0 | 2683.0  |

------|-----------------------|---------|-------------------------

$ hammer content-view purge --id 259 --organization-id 1 --count 3

Cannot delete version while it is in use by composite content views: xxx-comp-cv Version 1494.0

$ hammer content-view version list --content-view my-el7-cv --organization-id 1

------|-----------------------|---------|-------------------------

ID    | NAME                  | VERSION | LIFECYCLE ENVIRONMENTS

------|-----------------------|---------|-------------------------

15753 | my-el7-cv 2726.0 | 2726.0  | Library, Development, QA

15743 | my-el7-cv 2724.0 | 2724.0  |

15736 | my-el7-cv 2722.0 | 2722.0  | Staging, Production

15725 | my-el7-cv 2719.0 | 2719.0  |
15712 | my-el7-cv 2716.0 | 2716.0  |

15563 | my-el7-cv 2683.0 | 2683.0  |

------|-----------------------|---------|-------------------------

After I remove  xxx-comp-cv Version 1494.0:

$ hammer content-view purge --id 259 --organization-id 1 --count 3

[...............................................................................................................................................................................................] [100%]

Version '2719.0' of content view 'my-el7-cv' deleted.

$ hammer content-view version list --content-view my-el7-cv --organization-id 1

------|-----------------------|---------|-------------------------

ID    | NAME                  | VERSION | LIFECYCLE ENVIRONMENTS

------|-----------------------|---------|-------------------------

15753 | my-el7-cv 2726.0 | 2726.0  | Library, Development, QA

15743 | my-el7-cv 2724.0 | 2724.0  |

15736 | my-el7-cv 2722.0 | 2722.0  | Staging, Production

15712 | my-el7-cv 2716.0 | 2716.0  |

15563 | my-el7-cv 2683.0 | 2683.0  |

------|-----------------------|---------|-------------------------

Associated revisions

Revision 22ddfeac - 11/01/2018 01:23 PM - Christine Fouant

Fixes #24082 - content view purge skips versions in composites (#599)

History

#1 - 06/27/2018 05:44 PM - Andrew Kofink

- translation missing: en.field_release set to 349

#2 - 08/15/2018 06:28 PM - Jonathon Turel

- Assignee set to Andrew Kofink

- Target version changed from Katello 3.8.0 to Katello Backlog

#3 - 08/22/2018 03:42 PM - Andrew Kofink

- Team Backlog Brad added

#4 - 10/05/2018 01:40 PM - Christine Fouant

- Assignee changed from Andrew Kofink to Christine Fouant

#5 - 10/17/2018 02:49 PM - The Foreman Bot

- Pull request https://github.com/Katello/hammer-cli-katello/pull/599 added

#6 - 10/23/2018 04:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#7 - 11/01/2018 02:02 PM - Christine Fouant

- Status changed from Ready For Testing to Closed

Applied in changeset hammer-cli-katello|22ddfeacc1b8e12c8870e4236806427bd8f54081.
